<template>
  <mt-modal :ouvert="ouvert" :size="1100">
    <mt-evole id="04/08/2021" :affichage="affichage" :reponse1="reponse" @close="close" @repondre="repondre" />
  </mt-modal>
</template>

<script>
import MtModal from '~/components/modal/mt-modal';

import MtEvole from '~/components/nouveaute/evol20210804/';

export default {
  name: 'MtNouveaute',
  components: { MtModal, MtEvole },
  props: {
    affichage: {
      type: Array,
      default: () => [],
      required: true,
    },
    sondage: {
      type: Object,
      required: true,
      default: () => {},
    },
  },
  data() {
    return {
      ouvert: true,
      reponse: null,
    };
  },
  created() {
    this.ouvert = this.affichage.length > 0;
  },
  methods: {
    async close() {
      this.sondage.reponse = this.reponse;
      if (this.sondage.reponse !== null) {
        await this.$api.sondage.post(this.sondage);
      }
      this.sondage.reponse = await this.$api.nouveautes.readAll();
      await this.$store.dispatch('context/setNouveautes', []);
      this.ouvert = false;
    },
    repondre(rep) {
      this.reponse = rep;
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables.scss';
/deep/ {
  .carousel {
    .carousel-indicator {
      padding: 1rem;

      .indicator-item {
        .indicator-style {
          background-color: #dae2ff;
          border-width: 0;

          .is-dots {
            width: 0.5rem;
            height: 0.5rem;
            border-radius: 50%;
          }
        }
        &.is-active .indicator-style {
          background-color: $soft-blue;
        }
      }
    }
  }

  .mt-close {
    display: none;
  }
  .mt-modal {
    padding: 0;
  }

  label.label {
    font-size: 1.125rem;
    color: #5f5f5f;
    margin-bottom: 0;
    line-height: 1;
    display: flex;
    align-items: center;

    mark {
      background-color: #5f5f5f;
      color: white;
      font-size: 1.5rem;
      font-weight: 500;
      border-radius: 50%;
      height: 1.5em;
      width: 1.5em;
      display: flex;
      align-items: center;
      justify-content: center;
      margin-right: 0.5em;
      line-height: 1;
    }
  }
  .slide {
    padding: 1rem 1rem 2rem;
    position: relative;

    &.flex-column {
      display: flex;
      flex-direction: column;
    }

    &.padding-large {
      padding-left: 4vw;
      padding-right: 4vw;
      padding-top: 2rem;
    }

    &.mini-bulle-droite::after {
      content: '';
      position: absolute;
      right: 0;
      bottom: 0;
      background-image: url('/nouveaute/nouveaute-candidater-bulle-etape-1-droite.svg');
      width: 125px;
      height: 218px;
      background-size: contain;
      background-repeat: no-repeat;
      background-position: right;
      z-index: 0;
    }
    &.big-bulle-gauche::before {
      content: '';
      position: absolute;
      left: 0;
      top: 0;
      background-image: url('/nouveaute/nouveaute-candidater-bulle-etape-1-gauche.svg');
      height: 507px;
      width: 564px;
      background-size: contain;
      background-repeat: no-repeat;
      background-position: left top;
      z-index: 0;
    }
    &.mini-bulle-gauche::after {
      content: '';
      position: absolute;
      left: 0;
      bottom: 0;
      background-image: url('/nouveaute/nouveaute-candidater-bulle-etapes-234-gauche.svg');
      width: 221px;
      height: 186px;
      background-size: contain;
      background-repeat: no-repeat;
      background-position: left;
      z-index: 0;
    }
    &.big-bulle-droite::before {
      content: '';
      position: absolute;
      right: 0;
      top: 0;
      background-image: url('/nouveaute/nouveaute-candidater-bulle-etapes-234-droite.svg');
      height: 620px;
      width: 443px;
      background-size: contain;
      background-repeat: no-repeat;
      background-position: right top;
      z-index: 0;
    }
    * {
      z-index: 1;
    }
  }
  h2,
  h1 {
    font-size: 2.5rem;
    padding: 0;
    font-weight: 300;
    color: #5f5f5f;
    line-height: 1;
    margin: 0 0 1em;

    b {
      color: #5f5f5f;
      font-weight: 900;
    }

    mark {
      position: relative;
      color: inherit;
      background: linear-gradient(transparent 40%, rgba(81, 240, 176, 0.47) 41%);
    }
  }
  h2 {
    font-size: 2rem;
    margin-top: 0.5em;
    margin-bottom: 1em;
    line-height: 1.1;
  }
  .message {
    border-radius: 0.5rem;
    background-color: #e7ecff;
    padding: 1.3em 2.5em;
    display: flex;
    font-size: 0.8rem;
    font-weight: 500;
    color: $periwinkle-blue;
    align-items: center;
    justify-content: left;
    text-transform: uppercase;

    &.message-fonce {
      background-color: #c6d3ff;
      color: white;
    }

    mark {
      background-color: $periwinkle-blue;
      width: 43px;
      height: 44px;
      border-radius: 50%;
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 32px;
      font-weight: 600;
      color: white;
      margin-left: 1rem;
      margin-right: 1rem;
      flex-shrink: 0;
      flex-grow: 0;
    }
  }
  .precedent-suivant {
    display: flex;
    justify-content: space-between;
    padding: 1rem;

    button + button {
      margin-left: 1rem;
    }
  }

  .screen-shot {
    border-radius: 4px;
    box-shadow: 0 2px 8px -1px rgba($soft-blue, 0.2);
    margin: 2rem 0;
  }

  @media screen and (max-width: 768px) {
    h2 {
      font-size: 1.5rem;
      line-height: 1.2;
    }
  }
}
.mt-close-passer {
  position: absolute;
  top: 1rem;
  right: 1rem;
  border-style: none;
  background-color: transparent;
  cursor: pointer;
  color: $primary;
  text-transform: uppercase;
  font-size: 0.875rem;
  font-weight: 600;
  z-index: 10;
}

/deep/ .modal-content {
  overflow: auto;
}
</style>
